<div id="top"></div>

<div class="map-box-container" id="prasmanan_container" (click)="openDialog(prasmananArray[0])">
    <img src="assets/images/prasmanan.jpg" alt="" class="bkground-img">
    <div class="overlay-dark" id="prasmanan_overlay"></div>
    <div class="map-box-content">
        <h2>Prasmanan Menu<span style="color: rgb(220, 0, 0);"> ®</span></h2>
        <div class="pres-desc">{{prasmananArray[0]?.food.description | titlecase}}</div>
    </div>
</div>

<div class="map-box-container">
    <img src="assets/images/ug.jpg" alt="" class="bkground-img">
    <div class="overlay-dark"></div>
    <div class="map-box-content">
        <h2>Upperground Menu<span style="color: rgb(220, 0, 0);"> ®</span></h2>

        <div class="pRelative dFlex">
            <div class="quarterWidth pRelative" *ngFor="let stall of ugArray" (click)="openDialog(stall)">
                <h4>Name : 
                    <div class=" redClr">{{stall?.food.name | titlecase}}</div>
                </h4>
                <h4>Stock : 
                    <div class=" redClr">{{stall?.book_stock}}</div>
                </h4>
                <h4>Queue : 
                    <div class=" redClr">{{stall?.queue_stock}}</div>
                </h4>
                <mat-icon class="breakLine" matTooltip="info" 
                aria-label="stallTip" matTooltipPosition="above" 
                class="qIcon">help_outline</mat-icon>
            </div>
        </div>
    </div>
</div>

<div class="map-box-container">
    <img src="assets/images/lg.jpg" alt="" class="bkground-img">
    <div class="overlay-dark"></div>
    <div class="map-box-content">
        <h2>Lowerground Menu<span style="color: rgb(220, 0, 0);"> ®</span></h2>
    
        <div class="pRelative dFlex">
            <div class="quarterWidth pRelative" *ngFor="let stall of lgArray" (click)="openDialog(stall)">
                <h4>Name :
                    <div class="redClr">{{stall?.food.name | titlecase}}</div>
                </h4>
                <h4>Stock :
                    <div class="redClr">{{stall?.book_stock}}</div>
                </h4>
                <h4>Queue :
                    <div class="redClr">{{stall?.queue_stock}}</div>
                </h4>
                <mat-icon class="breakLine" matTooltip="info" 
                aria-label="stallTip2" matTooltipPosition="above" 
                class="qIcon">help_outline</mat-icon>
            </div>
        </div>
    </div>
</div>